Vous n'avez pas encore de notification

Page d'accueil

Options d'affichage

Abonné

Actualités

Abonné

Des thèmes sont disponibles :

Thème de baseThème de baseThème sombreThème sombreThème yinyang clairThème yinyang clairThème yinyang sombreThème yinyang sombreThème orange mécanique clairThème orange mécanique clairThème orange mécanique sombreThème orange mécanique sombreThème rose clairThème rose clairThème rose sombreThème rose sombre

Vous n'êtes pas encore INpactien ?

Inscrivez-vous !

Les Google Play Services 10.2 disponibles, Android 4.0.1 devient un minimum

Ice Scream
Mobilité 3 min
Les Google Play Services 10.2 disponibles, Android 4.0.1 devient un minimum
Crédits : juniorbeep/iStock
Mise à jour :

Comme prévu, la version 10.2 des Play Services est désormais en ligne. Les notes de version ne font état que de l'abandon de Gingerbread (Android 2.3), la part d'Honeycomb (Android 3.0) étant inférieure à 0,1 %, donc non prise en charge. Désormais, toute application visant cette version des Play Services (ou ultérieure) devra viser au minimum le niveau 14 des API, qui correspond à Android 4.0.1 (Ice Cream Sandwich).

L’arrivée prochaine des Google Play Services 10.2.0 marquera un tournant dans le support des anciennes versions d’Android. Les moutures 2.3 et 3.0 ne seront ainsi plus prises en comptes. Ce qui ne signifie pas que tout arrêtera de fonctionner.

La fragmentation d’Android est un vaste sujet, mais on peut la diviser en deux catégories : celle du système proprement dit, et celle de la base fonctionnelle. La première est la plus visible car elle est directement liée aux problèmes de sécurité. Les vieilles versions d’Android ne sont plus mises à jour, les constructeurs ne jouant le jeu que pendant une période de 18 à 24 mois... quand ils daignent proposer des mises à jour. Mais les applications continuent de fonctionner, grâce aux Google Play Services.

Ces derniers assurent une base fonctionnelle dans laquelle les applications tierces viennent puiser une grande partie de leurs capacités. Or, les Services sont mis à jour de manière séparée, Google ayant pris en charge jusqu’à présent la vieille version 2.3 d’Android. Aussi, de nombreuses applications s’en contentent. Les développeurs peuvent alors suivre les évolutions sans trop être freinés, avec des limites bien entendu – les fameux niveaux des API.

Adieu à Gingerbread et Honeycomb

Avec la version 10.2.0 des Play Services attendue pour début 2017, Google se prépare cependant à faire un peu de ménage. La plus ancienne version d’Android supportée sera la 4.0.1 (Ice Cream Sandwich). Les moutures 2.3 (Gingerbread) et 3.0 (Honeycomb) vont donc disparaître de l’équation. Les applications ne vont évidemment pas arrêter de fonctionner, mais si les développeurs souhaitent utiliser des nouveautés des Play Services, il faudra renoncer aux vieux systèmes.

Si l’on en croit les derniers chiffres de la fragmentation publiés par Google, ce changement n’impactera qu’un petit nombre de personnes, et encore pas dans l’immédiat. Gingerbread ne compte en effet que pour 1,3 % des utilisateurs, Honeycomb n’apparaissant même pas dans les statistiques (il représente donc moins de 0,1 % de parts de marché). L’immense majorité des utilisateurs (72 %) se trouve sur les versions 4.4, 5.1 et 6.0 d’Android. Avant que la mouture 4.4 (KitKat) soit d’ailleurs inquiété, l’abandon du support devra passer par Jelly Bean (4.1, 4.2 et 4.3), à moins que les prochains Play Services ne se débarrassent du trio.

Android 4.0.1 devient le socle minimal

Les utilisateurs concernés ne risquent pas vraiment de sentir la moindre conséquence dans l’immédiat. Concrètement, les développeurs ne pourront simplement pas utiliser les nouveautés de la version 10.2.0 des Play Services. Sur Android 2.3 et 3.0, ils resteront plafonnés à la mouture 10.0. Pour Google, il s’agit simplement d’une étape logique, puisque « de nombreux développeurs ont déjà abandonné le support de Gingerbread dans leurs applications ».

Le conseil de la firme est donc simple : les développeurs doivent maintenant viser Android 4.0.1 et le niveau 14 des API Play Services, et abandonner le support pour tous les autres niveaux ne recevant plus aucune mise à jour des Services. Notez que la date exacte de la bascule n’est pas connue.

Google en profitera certainement pour faire un ménage artificiel dans ses chiffres mensuels sur la fragmentation, en y supprimant purement et simplement les versions antérieures à Android 4.0. Pour autant, des terminaux continueront de les exploiter, avec tous les inconvénients que l’on connaît sur la sécurité.

47 commentaires
Avatar de Mavelic INpactien
Avatar de MavelicMavelic- 23/11/16 à 08:22:17

Signaler ce commentaire aux modérateurs :

N'est-on pas dans une forme d'obsolescence programmée ?

Avatar de Zulgrib Abonné
Avatar de ZulgribZulgrib- 23/11/16 à 08:30:49

Signaler ce commentaire aux modérateurs :

L'appareil fonctionnera encore.
L'arrêt du support de Windows 2000 a sonné comme de l’obsolescence programmée pour toi ?
Quand des nouveaux jeux sortent et que XP n'a pas de support, de même ?
Peut-on dire que Blizzard a fait de l’obsolescence programmée quand ils ont cessé tout support de Windows 2000 sur leurs jeux ?

Avatar de focky85 INpactien
Avatar de focky85focky85- 23/11/16 à 08:31:25

Signaler ce commentaire aux modérateurs :

Si j'ai bien compris, je ne pourrais plus installer d'application du playstore sur mon HTC Desire ?
Si quelqu'un veut bien m'éclairer sur ce point, je suis preneur.

Avatar de 2show7 INpactien
Avatar de 2show72show7- 23/11/16 à 08:34:11

Signaler ce commentaire aux modérateurs :

Joli, le sous-titre

Avatar de Seazor Abonné
Avatar de SeazorSeazor- 23/11/16 à 08:35:30

Signaler ce commentaire aux modérateurs :

Difficile d'inclure dans cette catégorie une fin de support de l'OS après 6 ans...
Surtout quand le suivi constructeur est lui abandonné depuis bien longtemps.

Avatar de 5133 INpactien
Avatar de 51335133- 23/11/16 à 08:41:20

Signaler ce commentaire aux modérateurs :

Non tu pourras encore, on parle des Google Play "Services" qui ajoutent des fonctionnalités au téléphone sans devoir mettre à jour tout l'OS.

Google Play (appli, jeux, etc) tu pourras toujours y accéder.

Avatar de atomusk INpactien
Avatar de atomuskatomusk- 23/11/16 à 08:42:59

Signaler ce commentaire aux modérateurs :

Normalement le play store fonctionnera toujours, par contre de plus en plus d'applications ne seront plus compatibles.
Perso, c'est comme ça que je le comprend :
Du point de vue du dev, il passera à la nouvelle API, Android Studio lui dira "attention, la version la plus basse supportée passe à l'API lié à android 4.0.1", du coup quand il poussera sur le play store, il y aura un popup disant :
"la version X+1" que tu essayes d'uploader ne supporte plus les 4.0- donc je vais conserver la version X pour ces utilisateurs et pousser la version X+1 à ceux qui sont 4.0.1+.

Donc de ton point de vue il n'y aura plus d'update de cette application (apres si tu as des jeux qui nécessitent d'avoir la dernière version pour jouer - comme PokemonGO par exemple), tu ne pourras plus mettre à jour, donc tu ne pourras plus jouer, sauf si le dev crée une mise à jour utilisant d'anciens play services ... mais vu le volume d'utilisateurs restant sur 4.0-, ça me parait peut "rentable".

Avatar de 2show7 INpactien
Avatar de 2show72show7- 23/11/16 à 08:43:12

Signaler ce commentaire aux modérateurs :

Seazor a écrit :

Difficile d'inclure dans cette catégorie une fin de support de l'OS après 6 ans...
Surtout quand le suivi constructeur est lui abandonné depuis bien longtemps.

J'ai toujours mon 3110c de Nokia et il va toujours nickel (pour éviter les freezes je frotte de temps en temps ma carte micro SD, car je mets mon gsm-portable en poche). c'est dire que les smartphones c'est d'office purement obsolescent. je suis allergique aux smartphones. mon 3110 l'a été aussi en son temps

Édité par 2show7 le 23/11/2016 à 08:45
Avatar de dylem29 Abonné
Avatar de dylem29dylem29- 23/11/16 à 08:43:30

Signaler ce commentaire aux modérateurs :

Sur ton PC, tu peux changer l'OS, sur un smartphone, c'est plus compliqué. :p 

Avatar de anonyme_95bde7ad91b4483068f10094cf1c28ca INpactien

Signaler ce commentaire aux modérateurs :

Mavelic a écrit :

N'est-on pas dans une forme d'obsolescence programmée ?

A chaque info sur une fin de mis à jour on a droit au commentaires parano de l'obsolescence programmée.

Il n'est plus possible de commenter cette actualité.
Page 1 / 5